%global version 5.10.0
%global tarballpath 5.10
%global fileversion 5.10.0.871

Name:		monodevelop
Version:	%{version}
Release:	%mkrel 9
Summary:        A full-featured IDE for Mono and Gtk#
Group:		Development/Other
License:        GPLv2+
URL:            http://monodevelop.com/
Source0:        http://download.mono-project.com/sources/monodevelop/monodevelop-%{fileversion}.tar.bz2
# Fedora patches:
Patch0:         monodevelop-avoidgiterrors.patch
Patch1:         monodevelop-downgrade_to_mvc3.patch
Patch2:         monodevelop-nuget-unbundle.patch
Patch3:         monodevelop-no-nuget-packages.patch
Patch4:         monodevelop-no-newtonsoft-json-in-pkgconfig-file.patch
BuildRequires:  mono-devel >= 3.0.4
BuildRequires:  mono-addins-devel >= 0.6
BuildRequires:  nunit-devel >= 2.6.3
BuildRequires:  monodoc-devel
BuildRequires:  gnome-desktop-sharp-devel
BuildRequires:	desktop-file-utils intltool
BuildRequires:  nuget-devel
BuildRequires:  libssh2-devel
BuildRequires:  newtonsoft-json
BuildRequires:  cmake git
Requires:       mono-core >= 3.0.4
Requires:       mono-addins >= 0.6
# Using system nunit, but dependency not automatically picked up by RPM
Requires:       mono(nunit.core)
Requires:       mono(nunit.framework)
Requires:       mono-locale-extras
Requires:       gnome-desktop-sharp
Requires:	subversion monodoc
Requires:       hicolor-icon-theme shared-mime-info
Requires:       gtk-sharp2-devel
Requires:	git
Requires:	xsp


%description 
This package provides MonoDevelop, a full-featured IDE for Mono with
syntax coloring, code completion, debugging, project management and
support for C sharp, Visual Basic.NET, Java, Boo, Nemerle and MSIL.


%package        devel
Summary:        Development files for monodevelop
Group:		Development/Other
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Conflicts:      monodevelop <= 5.10.0-5.mga6
 
%description devel
Development files for %{name}.


%prep
%setup -qn %{name}-%{tarballpath}
%autopatch -p1

for f in tests/TestRunner/TestRunner.csproj tests/UserInterfaceTests/UserInterfaceTests.csproj src/addins/NUnit/NUnitRunner/NUnitRunner.csproj src/addins/NUnit/MonoDevelop.NUnit.csproj external/nrefactory/ICSharpCode.NRefactory.Tests/ICSharpCode.NRefactory.Tests.csproj
do
  echo $f
  sed -i "s#<HintPath>.*nunit\..*</HintPath>##g" $f
done

sed -i "s#<HintPath>.*Newtonsoft\.Json\.dll</HintPath>#<Package>newtonsoft-json</Package><Private>True</Private>#g" tests/UserInterfaceTests/UserInterfaceTests.csproj

# Delete shipped *.dll files
find -name '*.dll' -exec rm -f {} \;

#Fixes for Mono 4
sed -i "s#gmcs#mcs#g; s#dmcs#mcs#g" configure
sed -i "s#gmcs#mcs#g; s#dmcs#mcs#g" configure.in
sed -i "s#mono-nunit#nunit#g" configure.in
find . -name "*.sln" -print -exec sed -i 's/Format Version 10.00/Format Version 11.00/g' {} \;
find . -name "*.csproj" -print -exec sed -i 's#ToolsVersion="3.5"#ToolsVersion="4.0"#g; s#<TargetFrameworkVersion>.*</TargetFrameworkVersion>##g; s#<PropertyGroup>#<PropertyGroup><TargetFrameworkVersion>v4.5</TargetFrameworkVersion>#g' {} \;

%build
%configure2_5x --enable-git --disable-update-mimedb --disable-update-desktopdb

cd ./external/libgit2sharp/Lib/CustomBuildTasks
xbuild CustomBuildTasks.csproj
mv bin/Debug/* .
cd ../../../../

make

%check
make check

%install
%make_install

desktop-file-install \
                     --dir $RPM_BUILD_ROOT%{_datadir}/applications \
                     --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applications/monodevelop.desktop

mkdir -p $RPM_BUILD_ROOT/%{_libdir}/pkgconfig
test "%{_libdir}" = "%{_prefix}/lib" || mv $RPM_BUILD_ROOT/%{_prefix}/lib/pkgconfig/* $RPM_BUILD_ROOT/%{_libdir}/pkgconfig

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING README 
%{_bindir}/m*
%{_prefix}/lib/monodevelop
%{_mandir}/man1/m*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/mime/packages/monodevelop.xml

%files devel
%{_libdir}/pkgconfig/monodevelop*.pc


%changelog
* Tue Apr 12 2016 daviddavid <daviddavid> 5.10.0-9.mga6
+ Revision: 1000836
- add a patch to remove reference of Newtonsoft.Json.dll in monodevelop.pc file
  o comes from recent unbundled newtonsoft-json
  o thus fixing build for other monodevelop packages

* Fri Apr 08 2016 tv <tv> 5.10.0-8.mga6
+ Revision: 999387
- rebuild for new newtonsoft-json

* Fri Apr 08 2016 tv <tv> 5.10.0-7.mga6
+ Revision: 999351
- drop requires on mono-devel
- requires gnome-desktop-sharp
- requires hicolor-icon-theme
- drop requires on mono-basic & xterm
- drop useless BRs
- drop old requires rexclude
- drop old obsoletes
- partial sync of rquires with FC
- drop unused sources
- add %%check section
- use std macro for installing
- split devel subpackage
- package COPYING too

* Fri Apr 08 2016 tv <tv> 5.10.0-6.mga6
+ Revision: 999296
- fix build by building the FC way
- add more mono4 fixes from FC

  + umeabot <umeabot>
    - Rebuild for openssl

* Sun Jan 03 2016 neoclust <neoclust> 5.10.0-5.mga6
+ Revision: 919284
- Rebuild without the workaround

* Sun Jan 03 2016 neoclust <neoclust> 5.10.0-4.mga6
+ Revision: 919266
- Rebuild against current workaround

  + anaselli <anaselli>
    - requires mono-devel not libmono-devel

* Sat Jan 02 2016 matteo <matteo> 5.10.0-2.mga6
+ Revision: 918564
- fixing build tasks issues
- drop nuget packages
- add missing br cmake

  + tv <tv>
    - new release
    - one more patch from FC
    - one more fix from FC
    - use pkgconfig() style for BR on nuget
    - // make seems to work
    - add more patches from FC
    - use system nuget
    - drop unapplied patches
    - use system nuit
    - mono4 fixes from FC
    - fix BR
    - revert
    - temporary remove BR on nunit
    - rebuild for mono4

  + anaselli <anaselli>
    - new version

* Sun Feb 22 2015 matteo <matteo> 5.7.0-1.mga5
+ Revision: 816587
- fixed version and release
- new version 5.7.0.660

* Wed Oct 15 2014 umeabot <umeabot> 5.0.1-3.mga5
+ Revision: 750611
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.1-2.mga5
+ Revision: 682586
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Sun Jul 13 2014 anaselli <anaselli> 5.0.1-1.mga5
+ Revision: 651754
- New version 5.0.1.0

* Sat Apr 26 2014 matteo <matteo> 4.2.2-1.mga5
+ Revision: 618148
- new version 4.2.2-2

* Mon Oct 21 2013 umeabot <umeabot> 4.0.12-2.mga4
+ Revision: 537939
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 anaselli <anaselli> 4.0.12-1.mga4
+ Revision: 488061
- New version 4.0.12

* Sun Jul 14 2013 matteo <matteo> 4.0.9-2.mga4
+ Revision: 454356
- rebuilt against new mono-addins 1.0

* Thu Jul 11 2013 matteo <matteo> 4.0.9-1.mga4
+ Revision: 453159
- new version 4.0.9
- updated gtk-sharp reference to version 2.12.21

* Fri Jun 07 2013 fwang <fwang> 3.0.6-2.mga4
+ Revision: 439511
- revert

* Fri Jun 07 2013 fwang <fwang> 4.0-4.mga4
+ Revision: 438830
- really put data.entity as filtered

* Fri Jun 07 2013 fwang <fwang> 4.0-3.mga4
+ Revision: 438825
- really put data.entity as filtered

* Fri Jun 07 2013 fwang <fwang> 4.0-2.mga4
+ Revision: 438820
- * add exception on system.data.entity as stated upstream:
  http://lists.ximian.com/pipermail/mono-devel-list/2012-September/039630.html

* Fri Jun 07 2013 fwang <fwang> 4.0-1.mga4
+ Revision: 438809
- new version 4.0

* Sat Jan 12 2013 umeabot <umeabot> 3.0.6-2.mga3
+ Revision: 360259
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 anaselli <anaselli> 3.0.6-1.mga3
+ Revision: 343095
- New version 3.0.6

* Sun Nov 25 2012 fwang <fwang> 3.0.5-1.mga3
+ Revision: 321802
- cleanup spec
- br rsync
- new version 3.0.5

* Tue Jul 31 2012 matteo <matteo> 3.0.3.5-1.mga3
+ Revision: 276778
- new version

* Sat Jul 21 2012 matteo <matteo> 3.0.3.4-1.mga3
+ Revision: 273077
- new version

* Thu Jul 19 2012 matteo <matteo> 3.0.3.2-3.mga3
+ Revision: 272599
- fixed monodevelop-3.0.3.2-md-gettext.patch
- spec file cleaned

* Thu Jul 19 2012 matteo <matteo> 3.0.3.2-2.mga3
+ Revision: 272586
- added patch to fix md.gettext path (used by addins -debugger-gdb and -database)
- spec file reviewed

* Thu Jul 19 2012 matteo <matteo> 3.0.3.2-1.mga3
+ Revision: 272563
- added missing br mono-nunit
- enabled git support
- md compilation exit with errors using _smp_mflags (%%make) so switching to make
- new version
- new version

* Tue Apr 10 2012 anaselli <anaselli> 2.8.8.4-1.mga2
+ Revision: 230142
- new version 2.8.8.4

* Mon Feb 20 2012 anaselli <anaselli> 2.8.6.5-1.mga2
+ Revision: 211249
- New version 2.8.6.5

* Wed Feb 08 2012 matteo <matteo> 2.8.6.4-1.mga2
+ Revision: 206422
- new stable version

* Mon Feb 06 2012 matteo <matteo> 2.8.6.3-1.mga2
+ Revision: 205250
- new stable version

* Sun Jan 08 2012 anaselli <anaselli> 2.8.5.1-1.mga2
+ Revision: 193342
- new version 2.8.5.1

* Fri Dec 23 2011 matteo <matteo> 2.8.5-1.mga2
+ Revision: 186731
- version upgrade

* Thu Dec 08 2011 anaselli <anaselli> 2.8.4.2-1.mga2
+ Revision: 178993
- New version 2.8.4.2

* Thu Nov 10 2011 anaselli <anaselli> 2.8.2-3.mga2
+ Revision: 166213
- Added missing mono-tools requirement

* Thu Nov 03 2011 anaselli <anaselli> 2.8.2-2.mga2
+ Revision: 162523
- Release bump, imported to mageia 1

* Thu Nov 03 2011 anaselli <anaselli> 2.8.2-1.mga2
+ Revision: 162084
- new version 2.8.2

* Thu Nov 03 2011 anaselli <anaselli> 2.8.1-2.mga2
+ Revision: 161910
- Obsolete deprecated plugins which are not compatible with MD 2.6

* Thu Oct 13 2011 fwang <fwang> 2.8.1-1.mga2
+ Revision: 154194
- new version 2.8.1

* Sat Sep 17 2011 fwang <fwang> 2.6.0.1-1.mga2
+ Revision: 144570
- fix desktop file
- new version 2.6.0.1

* Thu Jun 16 2011 stblack <stblack> 2.4.2-1.mga2
+ Revision: 108226
- imported package monodevelop


* Sun May 01 2011 Funda Wang <fwang@mandriva.org> 2.4.2-1mdv2011.0
+ Revision: 661265
- new version 2.4.2

  + GÃ¶tz Waschk <waschk@mandriva.org>
    - update build deps

* Tue Nov 23 2010 GÃ¶tz Waschk <waschk@mandriva.org> 2.4.1-1mdv2011.0
+ Revision: 599925
- update to new version 2.4.1

* Mon Oct 11 2010 Funda Wang <fwang@mandriva.org> 2.4-4mdv2011.0
+ Revision: 584932
- rebuild

  + GÃ¶tz Waschk <waschk@mandriva.org>
    - BuildRequires: mono-devel

* Mon Jul 12 2010 GÃ¶tz Waschk <waschk@mandriva.org> 2.4-3mdv2011.0
+ Revision: 551228
- really fix deps

* Sun Jul 11 2010 GÃ¶tz Waschk <waschk@mandriva.org> 2.4-2mdv2011.0
+ Revision: 550913
- fix deps

* Sun Jul 11 2010 GÃ¶tz Waschk <waschk@mandriva.org> 2.4-1mdv2011.0
+ Revision: 550638
- update to new version 2.4

* Tue Jun 29 2010 Frederic Crozat <fcrozat@mandriva.com> 2.2.2-2mdv2010.1
+ Revision: 549464
- rebuild with latest xulrunner

* Tue Mar 16 2010 GÃ¶tz Waschk <waschk@mandriva.org> 2.2.2-1mdv2010.1
+ Revision: 521500
- update to new version 2.2.2

* Thu Feb 04 2010 GÃ¶tz Waschk <waschk@mandriva.org> 2.2.1-1mdv2010.1
+ Revision: 500649
- update to new version 2.2.1

* Fri Dec 18 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.2-2mdv2010.1
+ Revision: 479980
- rebuild for new xulrunner

  + GÃ¶tz Waschk <waschk@mandriva.org>
    - fix license

* Tue Dec 15 2009 GÃ¶tz Waschk <waschk@mandriva.org> 2.2-1mdv2010.1
+ Revision: 478859
- update to new version 2.2

* Fri Dec 11 2009 GÃ¶tz Waschk <waschk@mandriva.org> 2.1.2-1mdv2010.1
+ Revision: 476468
- new version
- make it a noarch package
- update deps

* Tue Nov 10 2009 GÃ¶tz Waschk <waschk@mandriva.org> 2.1.1-1mdv2010.1
+ Revision: 464183
- new version

* Fri Nov 06 2009 Funda Wang <fwang@mandriva.org> 2.0-7mdv2010.1
+ Revision: 460640
- rebuild for new xulrunner

* Tue Sep 15 2009 GÃ¶tz Waschk <waschk@mandriva.org> 2.0-6mdv2010.0
+ Revision: 442675
- fix xulrunner dep

* Mon Sep 14 2009 GÃ¶tz Waschk <waschk@mandriva.org> 2.0-5mdv2010.0
+ Revision: 439566
- rebuild for new xulrunner

* Tue Aug 18 2009 GÃ¶tz Waschk <waschk@mandriva.org> 2.0-4mdv2010.0
+ Revision: 417768
- update deps for new xulrunner

* Mon Aug 10 2009 GÃ¶tz Waschk <waschk@mandriva.org> 2.0-3mdv2010.0
+ Revision: 414208
- don't bundle nunit anymore, use the version from mono

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 2.0-2mdv2010.0
+ Revision: 369879
- fix wrongly dropped patch
- rebuild for new xulrunner

* Tue Mar 31 2009 GÃ¶tz Waschk <waschk@mandriva.org> 2.0-1mdv2009.1
+ Revision: 362808
- new version

* Tue Mar 17 2009 GÃ¶tz Waschk <waschk@mandriva.org> 1.9.3-1mdv2009.1
+ Revision: 356690
- update to new version 1.9.3

* Thu Feb 12 2009 GÃ¶tz Waschk <waschk@mandriva.org> 1.9.2-1mdv2009.1
+ Revision: 339809
- new version
- update patch 0

* Mon Nov 24 2008 GÃ¶tz Waschk <waschk@mandriva.org> 1.9.1-2mdv2009.1
+ Revision: 306257
- bump release
- new version
- drop patch 2
- disable gtksourceview2 support

* Mon Oct 13 2008 GÃ¶tz Waschk <waschk@mandriva.org> 1.9-1mdv2009.1
+ Revision: 293388
- new version
- patch to fix build
- update license

* Thu Aug 21 2008 GÃ¶tz Waschk <waschk@mandriva.org> 1.0-7mdv2009.0
+ Revision: 274545
- build with gtksourceview2-sharp

* Thu Jul 31 2008 GÃ¶tz Waschk <waschk@mandriva.org> 1.0-6mdv2009.0
+ Revision: 257451
- patch to make it really use xulrunner

* Wed Jul 30 2008 GÃ¶tz Waschk <waschk@mandriva.org> 1.0-5mdv2009.0
+ Revision: 255138
- switch to xulrunner

* Wed Jul 16 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0-4mdv2009.0
+ Revision: 236423
- rebuilt for mozilla-firefox-2.0.0.16

* Thu Jul 03 2008 Tiago Salem <salem@mandriva.com.br> 1.0-3mdv2009.0
+ Revision: 231254
- Rebuild for firefox 2.0.0.15

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Apr 09 2008 GÃ¶tz Waschk <waschk@mandriva.org> 1.0-2mdv2009.0
+ Revision: 192427
- fix buildrequires

* Wed Mar 26 2008 Tiago Salem <salem@mandriva.com.br> 1.0-2mdv2008.1
+ Revision: 190337
- Rebuild for Firefox 2.0.0.13

* Fri Mar 14 2008 GÃ¶tz Waschk <waschk@mandriva.org> 1.0-1mdv2008.1
+ Revision: 187877
- new version

* Sat Feb 16 2008 GÃ¶tz Waschk <waschk@mandriva.org> 0.19-2mdv2008.1
+ Revision: 169280
- new version
- drop patch 4
- update file list

* Sat Feb 09 2008 Funda Wang <fwang@mandriva.org> 0.18.1-2mdv2008.1
+ Revision: 164650
- rebuild for new FF

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu

* Sun Dec 30 2007 GÃ¶tz Waschk <waschk@mandriva.org> 0.18.1-1mdv2008.1
+ Revision: 139680
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 GÃ¶tz Waschk <waschk@mandriva.org> 0.18-1mdv2008.1
+ Revision: 134278
- new version
- fix buildrequires
- fix build
- update file list

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 GÃ¶tz Waschk <waschk@mandriva.org> 0.17-2mdv2008.1
+ Revision: 117681
- rebuild for new firefox

* Thu Nov 08 2007 GÃ¶tz Waschk <waschk@mandriva.org> 0.17-1mdv2008.1
+ Revision: 106855
- new version
- drop patch 2, this problem should be fixed

* Mon Nov 05 2007 GÃ¶tz Waschk <waschk@mandriva.org> 0.16-4mdv2008.1
+ Revision: 106062
- rebuild for new firefox

* Fri Oct 19 2007 GÃ¶tz Waschk <waschk@mandriva.org> 0.16-3mdv2008.1
+ Revision: 100427
- rebuild for new firefox

* Thu Oct 18 2007 GÃ¶tz Waschk <waschk@mandriva.org> 0.16-2mdv2008.1
+ Revision: 99884
- rebuild for new firefox

* Fri Oct 05 2007 GÃ¶tz Waschk <waschk@mandriva.org> 0.16-1mdv2008.1
+ Revision: 95597
- new version
- drop patch 0, it now needs xterm explicitly
- update patch 1
- drop patch 3
- add missing dep on svn client lib (bug #34514)
- remove jscall dep
- update file list

* Sun Sep 02 2007 GÃ¶tz Waschk <waschk@mandriva.org> 0.15-2mdv2008.0
+ Revision: 78382
- fix build with new boo
- fix desktop file
- fix and reenable Asp.Net editor

* Tue Aug 07 2007 GÃ¶tz Waschk <waschk@mandriva.org> 0.15-1mdv2008.0
+ Revision: 59967
- new version

* Tue Jul 31 2007 GÃ¶tz Waschk <waschk@mandriva.org> 0.14-3mdv2008.0
+ Revision: 57225
- rebuild

* Fri Jun 15 2007 GÃ¶tz Waschk <waschk@mandriva.org> 0.14-2mdv2008.0
+ Revision: 39889
- rebuild for new ff

* Wed Jun 13 2007 GÃ¶tz Waschk <waschk@mandriva.org> 0.14-1mdv2008.0
+ Revision: 38535
- new version
- rediff patch 2
- disable aspnetedit

* Wed May 16 2007 GÃ¶tz Waschk <waschk@mandriva.org> 0.13.1-3mdv2008.0
+ Revision: 27247
- use libapr1 by default (bug #30828)


* Fri Mar 23 2007 GÃ¶tz Waschk <waschk@mandriva.org> 0.13.1-2mdv2007.1
+ Revision: 148362
- rebuild for new firefox

* Sat Mar 10 2007 GÃ¶tz Waschk <waschk@mandriva.org> 0.13.1-1mdv2007.1
+ Revision: 140527
- new version

* Mon Mar 05 2007 GÃ¶tz Waschk <waschk@mandriva.org> 0.13-3mdv2007.1
+ Revision: 133268
- fix buildrequires
- enable ASP.NET visual designer

* Tue Feb 27 2007 GÃ¶tz Waschk <waschk@mandriva.org> 0.13-2mdv2007.1
+ Revision: 126286
- rebuild for new firefox

* Fri Feb 23 2007 GÃ¶tz Waschk <waschk@mandriva.org> 0.13-1mdv2007.1
+ Revision: 125028
- new version
- drop patch 2
- enable subversion support

* Mon Jan 08 2007 GÃ¶tz Waschk <waschk@mandriva.org> 0.12-7mdv2007.1
+ Revision: 106101
- rebuild

* Thu Dec 07 2006 GÃ¶tz Waschk <waschk@mandriva.org> 0.12-6mdv2007.1
+ Revision: 92036
- fix detection of new firefox

* Mon Nov 27 2006 GÃ¶tz Waschk <waschk@mandriva.org> 0.12-5mdv2007.1
+ Revision: 87537
- fix autotools addin, it was generating bad configure scripts
- unpack patches

* Tue Nov 21 2006 GÃ¶tz Waschk <waschk@mandriva.org> 0.12-4mdv2007.1
+ Revision: 85825
- fix firefox dep again
- fix firefox dep

* Thu Nov 09 2006 GÃ¶tz Waschk <waschk@mandriva.org> 0.12-3mdv2007.1
+ Revision: 79187
- Import monodevelop

* Thu Nov 09 2006 Götz Waschk <waschk@mandriva.org> 0.12-3mdv2007.1
- rebuild for new firefox

* Sat Sep 16 2006 Frederic Crozat <fcrozat@mandriva.com> 0.12-2mdv2007.0
- Rebuild with latest firefox

* Tue Sep 12 2006 Götz Waschk <waschk@mandriva.org> 0.12-1mdv2007.0
- enable asp.net support
- rediff patch 1
- New version 0.12

* Fri Aug 04 2006 GÃ¶tz Waschk <waschk@mandriva.org> 0.11-1mdv2007.0
- rebuild for new firefox

* Sun Jul 30 2006 Götz Waschk <waschk@mandriva.org> 0.11-4mdv2007.0
- rebuild for new firefox

* Wed Jun 28 2006 Götz Waschk <waschk@mandriva.org> 0.11-3mdv2007.0
- xdg menu
- enable boo

* Thu Jun 08 2006 Götz Waschk <waschk@mandriva.org> 0.11-2mdv2007.0
- Rebuild for new firefox

* Thu May 11 2006 GÃ¶tz Waschk <waschk@mandriva.org> 0.11-1mdk
- New release 0.11

* Thu May 04 2006 GÃ¶tz Waschk <waschk@mandriva.org> 0.10-3mdk
- rebuild for new firefox

* Sat Apr 22 2006 GÃ¶tz Waschk <waschk@mandriva.org> 0.10-2mdk
- rebuild for new firefox

* Thu Apr 06 2006 Götz Waschk <waschk@mandriva.org> 0.10-1mdk
- drop patch 2
- New release 0.10

* Fri Feb 03 2006 Götz Waschk <waschk@mandriva.org> 0.9-6mdk
- patch for new mono
- rebuild for new mozilla-firefox

* Tue Jan 10 2006 GÃ¶tz Waschk <waschk@mandriva.org> 0.9-5mdk
- rebuild for new mozilla-firefox

* Tue Dec 20 2005 Götz Waschk <waschk@mandriva.org> 0.9-4mdk
- rebuild for new mono

* Mon Dec 12 2005 Götz Waschk <waschk@mandriva.org> 0.9-3mdk
- enable version control
- reenable ikvm

* Mon Dec 12 2005 GÃ¶tz Waschk <waschk@mandriva.org> 0.9-2mdk
- rebuild for new mono
- use mkrel

* Fri Nov 25 2005 Götz Waschk <waschk@mandriva.org> 0.9-1mdk
- update file list
- update patch 0
- disable debugger, boo and ikvm
- New release 0.9

* Wed Oct 26 2005 GÃ¶tz Waschk <waschk@mandriva.org> 0.8-2mdk
- rebuild for new mozilla

* Sat Oct 15 2005 Götz Waschk <waschk@mandriva.org> 0.8-1mdk
- drop patches 2,3
- New release 0.8

* Fri Sep 02 2005 Götz Waschk <waschk@mandriva.org> 0.7-13mdk
- patch for new boo

* Fri Aug 26 2005 GÃ¶tz Waschk <waschk@mandriva.org> 0.7-12mdk
- rebuild for new gtk-sharp2

* Sat Jul 30 2005 Götz Waschk <waschk@mandriva.org> 0.7-11mdk
- rebuild for new firefox

* Sat Jul 02 2005 Götz Waschk <waschk@mandriva.org> 0.7-10mdk
- rebuild for new boo

* Tue Jun 21 2005 Götz Waschk <waschk@mandriva.org> 0.7-9mdk
- update patch 2 for new debugger

* Tue Jun 21 2005 Götz Waschk <waschk@mandriva.org> 0.7-8mdk
- Rebuild

* Fri Jun 03 2005 Götz Waschk <waschk@mandriva.org> 0.7-7mdk
- no more no noarch

* Tue May 31 2005 Götz Waschk <waschk@mandriva.org> 0.7-6mdk
- no more noarch
- build with mono debugger support on x86

* Thu May 26 2005 Götz Waschk <waschk@mandriva.org> 0.7-5mdk
- rebuild for new firefox

* Wed May 25 2005 Götz Waschk <waschk@mandriva.org> 0.7-4mdk
- rebuild

* Wed May 25 2005 Götz Waschk <waschk@mandriva.org> 0.7-3mdk
- enable java

* Tue May 24 2005 Götz Waschk <waschk@mandriva.org> 0.7-2mdk
- fix startup and depend on mozilla-firefox

* Sat May 21 2005 Götz Waschk <waschk@mandriva.org> 0.7-1mdk
- make it noarch
- update deps
- new source URL
- New release 0.7

* Thu Apr 21 2005 Götz Waschk <waschk@mandriva.org> 0.6-7mdk
- fix Japanese locale dir
- patch to use xvt instead of xterm
- drop dep on libgtksourceview, now in libgtksourceview-sharp
- fix buildrequires, hopefully for the last time

* Wed Apr 20 2005 Götz Waschk <waschk@mandriva.org> 0.6-6mdk
- fix buildrequires once again

* Wed Apr 20 2005 Götz Waschk <waschk@mandriva.org> 0.6-5mdk
- fix buildrequires again

* Wed Apr 20 2005 Götz Waschk <waschk@mandriva.org> 0.6-4mdk
- fix buildrequires

* Sat Apr 02 2005 Emmanuel Blindauer <mdk@agat.net> 0.6-3mdk
- Add requires on libgtksourceview (fix crash)

* Thu Mar 31 2005 Götz Waschk <waschk@linux-mandrake.com> 0.6-2mdk
- fix buildrequires

* Thu Mar 31 2005 Götz Waschk <waschk@linux-mandrake.com> 0.6-1mdk
- drop the patch
- bump deps
- New release 0.6

* Sat Sep 25 2004 Götz Waschk <waschk@linux-mandrake.com> 0.5.1-1mdk
- spec fixes
- 0.5.1 final

* Tue Sep 14 2004 Götz Waschk <waschk@linux-mandrake.com> 0.5.1-0.1949.1mdk
- fix menu
- update to snapshot

* Tue Aug 10 2004 Götz Waschk <waschk@linux-mandrake.com> 0.5-3mdk
- requires xterm

* Thu Jul 29 2004 Götz Waschk <waschk@linux-mandrake.com> 0.5-2mdk
- rebuild for new rpm

* Fri Jul 02 2004 Götz Waschk <waschk@linux-mandrake.com> 0.5-1mdk
- bump deps
- new version

* Sat Jun 26 2004 Götz Waschk <waschk@linux-mandrake.com> 0.4-4mdk
- add scaled icons
- fix deps again

* Sat Jun 26 2004 Götz Waschk <waschk@linux-mandrake.com> 0.4-3mdk
- drop packager tag
- another buildrequires fix

* Fri Jun 04 2004 Sandino "Tigrux" Flores <tigrux@ximian.com> 0.4-2mdk
- Added menu scripts to %%post and %%postun
  - Own only files it owns
  - Use %%configure2_5x instead of %%configure

* Fri Jun 04 2004 Sandino "Tigrux" Flores <tigrux@ximian.com> 0.4-1mdk
- First rpm for mandrake 
